<?php
	include_once("../core/basededatos.php");
	include_once("../core/Usuario.php");
	include_once("../core/Paciente.php");
	include_once("../core/Semana.php");
	include_once("../core/Historia.php");
	include_once("../core/Cita.php");
	include_once("../core/Documento.php");
	include_once("../core/Implantes.php");
	require('fpdf.php');
	session_start();	
	header("Content-Type:application/xhtml+xml; charset=ISO-8859-1");

	$pdf=new FPDF();
	
	if ($_GET['Pac'] != "No") {
		$paciente = new Paciente();
		$paciente->id = $_GET['Pac'];
		$paciente->obtenerdatos();
	}	
	
	
	$pdf->AddPage();
	$pdf->SetAutoPageBreak(true);
	$pdf->SetFont('Arial','B',12);
	//Color Rojo
	//$pdf->SetTextColor(255,0,0);
	
	
	if ($_POST['Imprimir']) { 
		$documento = new Documento();
		
		$texto1 = "SE PROPONE REALIZAR LA COLOCACIÓN DE ".$_POST['txt_lugar'];
		$texto2 = "EL COSTO ES DE ".$_POST['txt_costo'];
		$texto3 =  $_POST['txt_comentario'];
		$texto4 = "LAS CITAS DE CONTROL PARA EL RETIRO DE SUTURAS SON PARTE DEL MISMO TRATAMIENTO DURANTE EL PERIODO DE OSTEOINTEGRACIÓN DE LOS IMPLANTES.";
		$texto5 = "ATENTAMENTE.";
		$texto6 = "DR. ALFONSO PEÑA MADERO.";
		$texto7 = "LA PAZ B.C.S. ".$documento->fechaTexto();
		$textofinal = $texto1."<br>".$texto2."<br>".$texto3."<br>".$texto4."<br>".$texto5."<br>".$texto6;
	
		$implantes = new Implantes();
		$implantes->texto1 = $texto1;
		$implantes->texto2 = $texto2;
		$implantes->texto3 = $texto3;
		$implantes->texto4 = $texto4;
		$implantes->texto5 = $texto5;
		$implantes->texto6 = $texto6;
		$implantes->texto7 = $texto7;
		if (!$implantes->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Cuidados.";
		}
		$implantes->id = mysql_insert_id();
		
		
		$documento->tipo = "implantes";
		$documento->texto = $textofinal;
		$documento->id_paciente = $paciente->id;
		$documento->fecha = date(Y."-".m."-".d);
		$documento->textoid = $implantes->id;
		if (!$documento->agregarobjeto()) {
			echo "Error. No se puede agregar el objeto Documento.";
		}
		
	} else {
		
		$documento = new Documento();
		$documento->id = $_GET['Doc'];
		$documento->obtenerdatos();
				
		$implantes = new Implantes();
		$implantes->id = $documento->textoid;
		$implantes->obtenerdatos();
		
		$texto1 = $implantes->texto1;
		$texto2 = $implantes->texto2;
		$texto3 = $implantes->texto3;
		$texto4 = $implantes->texto4;
		$texto5 = $implantes->texto5;
		$texto6 = $implantes->texto6;
		$texto7 = $implantes->texto7;
	}
	
	
	$pacientenombrecompleto = "NOMBRE: ".$paciente->nombre." ".$paciente->apellidop." ".$paciente->apellidom;
	$pacientedatos = "EDAD: ".$paciente->obtenerEdad()." AÑOS - SEXO: ".$paciente->despliegasexo();
	
	$pdf->SetXY(0,0);
	$pdf->Cell(10,45,'',0,1);	
	$pdf->Cell(180,5,$pacientenombrecompleto,0,1,L);
	$pdf->Cell(180,5,$pacientedatos,0,1,L);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto1);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto2);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto3);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->MultiCell(0,5,$texto4);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto5,0,1,C);
	$pdf->Cell(10,10,'',0,1); //Salto de linea
	$pdf->Cell(180,5,$texto6,0,1,C);
	$pdf->Cell(180,5,$texto7,0,1,C);
					
	$pdf->Output();
?>